Subject: bug#14574: prog-prettify-symbols breaks font-locking

From: Juanma Barranquero <[email-masked]>
Date: Sun, 16 Jun 2013 00:48:34 +0200

On Sat, Jun 15, 2013 at 8:43 PM, Eli Zaretskii <[email-masked]> wrote:

> Probably because turning off font-lock removes the font-lock text
> properties, but doesn't remove the 'composition' text property.

Yes. But IIUC what Ted said, turning off font-lock mode is removing
the prettification for him. ??

As for the composition text property, I suppose it could be possible
to mark the prettified text during font-locking and use some font-lock
-hook or -function to remove it at turn-off time?